<template>
  <v-textarea
    :label="$t('comment-field.label')"
    rows="4"
    :rules="label ? [validate] : []"
    :disabled="label === null"
    :value="field"
    @blur="field = field.trim()"
    @input="onInput"
  />
</template>

<script lang="ts">
import { Component } from 'vue-property-decorator';
import LabelField from './LabelField.vue';

@Component
export default class CommentField extends LabelField<'comment'> {
  /** @override */
  key = 'comment' as const;

  /** @override */
  parse(val: string): string { return val; }

  /** @override */
  print(val: string): string { return val; }
}
</script>
